> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kakiyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test webhook

> Sends a test event to all matching webhooks



## OpenAPI

````yaml POST /webhooks/test
openapi: 3.1.0
info:
  title: Kakiyo API
  description: API for automating LinkedIn outreach campaigns with AI-powered conversations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.kakiyo.com/v1
security:
  - bearerAuth: []
paths:
  /webhooks/test:
    post:
      summary: Test Webhook
      description: Sends a test event to all matching webhooks
      operationId: testWebhook
      requestBody:
        description: Test webhook parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestWebhookRequest'
        required: true
      responses:
        '200':
          description: Test webhook sent successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Test webhook sent successfully
                  event:
                    type: string
                    example: linkedin.message.received
                  webhooksCount:
                    type: integer
                    example: 2
                  webhooks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: webhook_12345abcde
                        name:
                          type: string
                          example: CRM Integration
                        url:
                          type: string
                          example: https://your-app.com/kakiyo/webhook
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: No webhooks found for this event
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TestWebhookRequest:
      type: object
      required:
        - event
      properties:
        event:
          type: string
          enum:
            - linkedin.message.sent
            - linkedin.message.received
            - linkedin.invitation.sent
            - linkedin.invitation.accepted
            - prospect.qualification.manual
            - prospect.unqualified
          example: linkedin.message.received
        data:
          type: object
          example:
            message: This is a test message
    Error:
      type: object
      properties:
        error:
          type: string
          example: validation_error
        message:
          type: string
          example: The request parameters failed validation
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: The name field is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````